ZDUMP(8)

NAME
zdump - time zone dumper

SYNOPSIS
zdump [ option ... ] [ zonename ... ]

DESCRIPTION
Zdump prints the current time in each zonename named on the command line.

These options are available:

--version
    Output version information and exit.

-v  For each zonename on the command line, print the time at the lowest possible time value, the time one day after the lowest possible time value, the times both one second before and exactly at each detected time discontinuity, the time at one day less than the highest possible time value, and the time at the highest possible time value. Each line is followed by isdst=D where D is positive, zero, or negative depending on whether the given time is daylight saving time, standard time, or an unknown time type, respectively. Each line is also followed by gmtoff=N if the given local time is known to be N seconds east of Greenwich.

-V  Like -v, except omit the times relative to the extreme time values. This generates output that is easier to compare to that of implementations with different time representations.

-c [loyear,]hiyear
    Cut off verbose output at the given year(s). Cutoff times are computed using the proleptic Gregorian calendar with year 0 and with Universal Time (UT) ignoring leap seconds. The lower bound is exclusive and the upper is inclusive; for example, a loyear of 1970 excludes a transition occurring at 1970-01-01 00:00:00 UTC but a hiyear of 1970 includes the transition. The default cutoff is -500,2500.

-t [lotime,]hitime
    Cut off verbose output at the given time(s), given in decimal seconds since 1970-01-01 00:00:00 Coordinated Universal Time (UTC). The zonename determines whether the count includes leap seconds. As with -c, the cutoff's lower bound is exclusive and its upper bound is inclusive.

LIMITATIONS
Time discontinuities are found by sampling the results returned by localtime at twelve-hour intervals. This works in all real-world cases; one can construct artificial time zones for which this fails.

In the output, "UT" denotes the value returned by gmtime(3), which uses UTC for modern time stamps and some other UT flavor for time stamps that predate the introduction of UTC. No attempt is currently made to have the output use "UTC" for newer and "UT" for older time stamps, partly because the exact date of the introduction of UTC is problematic.

SEE ALSO
newctime(3), tzfile(5), zic(8)